* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
    font-family: "Raleway", sans-serif;
}

.reveal {
   opacity: 0;
   transform: translateY(40px);
   transition: all 0.8s ease ;
}

.reveal.active {
   opacity: 1;
   transform: translateY(0);
}

header li {
   list-style: none;
   cursor: pointer;
   display: flex;
}

header {
   display: flex;
   justify-content: space-between;
   gap: 2rem;
   background: #fff;
   padding: 2rem;
   box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
   position: sticky;
   top: 0;
   z-index: 1000;
 
}

nav {
   height: 40px;
}

li a {
   display: flex;
   justify-content: space-between;
   text-decoration: none;
   color: #000;
}
.nav {
   display: flex;
   justify-content: space-around;
   align-items: center;
   gap: 20px;
}

.navigation {
   display: flex;
   gap: 20px;
   justify-content: space-between;
   align-items: center;
}


.btn-primary {
   background: #2ca6a4;
   color: white;
   padding: 10px 20px;
   text-decoration: none;
   border-radius: 25px;
   cursor: pointer;
   display: flex;
   align-items: center;
}

.btn-primary:hover {
   background-color: #1f7a78;
   transform: translateY(-2px);
   box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}

.btn-secondary {
   background: transparent;
   color: #248c8a;
   border: 2px solid #2ca6a4;
   padding: 10px 20px;
   border-radius: 25px;
   text-decoration: none;
   cursor: pointer;
   transition: 0.3s ease;
}

.btn-secondary:hover {
  background: #248c8a;
  color: white;
}

.btn-primary:hover,
.btn-secondary:hover {
  transform: translateY(-1px);
}

.navbar img {
   display: inline-block;
   height: 119px;
   margin-top: -30px;

}

#hero-content   {
   background-image: url(./images/studying.jpg);
   padding: 100px 0 400px;
}

.hero-content {
  display: flex;
  align-items: center;
  gap: 40px;
}

.hero-content {
   padding: 24px;
   height: 300px;
}

.hero-text {
   padding-top: 330px;
   padding-left: 30px;
}

.hero-text h1 {
  font-size: 2.8rem;
  margin-top: 50px;
  max-width: 500px;
  font-family: "Raleway", sans-serif;
}

.hero-text h1 span {
  color: #2ca6a4;
}

.hero-description {
  color: #353839;
  margin-top: 12px;
  max-width: 800px;
  font-family: "Raleway", sans-serif;
  font-weight: 400;
  font-size: 1.25rem;
}

.hero-buttons {
   display: flex;
   gap: 20px;
   margin-top: 20px;
}

.btn-getstarted {
   background: #2ca6a4;
   color: white;
   padding: 10px 20px;
   max-width: 300px;
   text-decoration: none;
   border-radius: 10px;
   cursor: pointer;
}

.btn-getstarted:hover {
   background-color: #1f7a78;
   transform: translateY(-2px);
   box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}

.btn-courses {
   background: transparent;
   color: #248c8a;
   padding: 10px 20px;
   max-width: 300px;
   text-decoration: none;
   border-radius: 10px;
   cursor: pointer;
   border: 2px solid #248c8a ;
   transition: 0.3s ease;

}

.btn-courses:hover {
   background-color: #248c8a;
   color: white;
}


.btn-getstarted:hover,
.btn-courses:hover {
  transform: translateY(-1px);
}


#benefits {
   background: #f5f5f5;
   padding: 80px 0;
}

.section-header {
   max-width: 500px;
   margin: 0 auto 50px;
   text-align: center;
}

.section-header h2 {
   font-size: 1.2rem;
   margin-bottom: 10px;
}

.section-header p {
   color: #555;
}

.benefits-grid {
   display: grid;
   grid-template-columns: repeat(auto-fit, minmax(350px, 1fr) );
   gap: 30px;
   max-width: 1500px;
   font-size: 1rem;
   margin: 0 auto;
}

.benefit {
   padding: 20px;
}

.benefits-card {
   background: #fff;
   box-shadow: 0 5px 15px rgba(0,0,0,0.08);
   padding: 25px;
   border-radius: 10px;
   margin-right: 84px;
   display: flex;
   flex-direction: column;
   align-items: center;
   transition: 0.3s;
}

.benefits-card:hover {
   transform: translateY(-5px);
}

.icon-box {
   width: 70px;
   height: 70px;
   border-radius: 16px;
   display: flex;
   align-items: center;
   justify-content: center;
   margin-bottom: 10px;
}

.icon-box i {
   font-size: 2.5rem;
   color: #fff;
}

.purple {
   background: linear-gradient(135deg, #6afaf9, #8b7bff);
}

.green {
   background: linear-gradient(135deg, #00b894, #55efc4);
}

.orange {
   background: linear-gradient(135deg, #f39c12, #f6b93b);
}

.pink {
   background: linear-gradient(135deg, #e84393, #fd79a8);
}

.benefits-card h3 {
   margin-bottom: 10px;
   text-align: center;
}

.benefits-card p {
   color: #555;
   text-align: center;
}

.stats-container {
   display: grid;
   grid-template-columns: repeat(4, 1fr);
   margin-top: 60px;
   text-align: center;
   max-width: 1500px;
}

.stat h3 {
   font-size: 2.5rem;
}

.stat p {
  color: #777;
  margin-top: 10px;
}

.stat:nth-child(1) h3 {
   color: #6c5ce7;
}

.stat:nth-child(2) h3 {
   color: #00b894;
}

.stat:nth-child(3) h3 {
   color: #f39c12;
}

.stat:nth-child(4) h3 {
   color: #e84393;
}


#featured-courses {
   background: #ffffff;
   padding: 70px 0;
}

.featured {
   padding: 40px;
   position: relative;
 
}

.cards {
   display: grid;
   grid-template-columns: repeat(3, 1fr);
   gap: 45px;
   max-width: 1300px;
   margin: 1em auto;
   padding: 20px;
   border-radius: 10px;
}

.card {
   display: grid;
   border-radius: 3px;
   background: #fff;
   padding: 30px;
   border-radius: 10px;
   box-shadow: 0 5px 15px rgba(0,0,0,0.08);
   transition: transform 0.3s ease, box-shadow 0.3s ease;
   opacity: 0;
   transform: translateY(40px);
   transition: all 0.6s ease;
}

.card:hover {
   transform: translateY(-8px);
   box-shadow: 0 15px 30px rgba(0,0,0,0.12);
}

.card.active {
   opacity: 1;
   transform: translateY(0);
}

.card:nth-child(1) {transition-delay: 0.1s;}
.card:nth-child(2) {transition-delay: 0.3s;}
.card:nth-child(3) {transition-delay: 0.5s;}

.card-image {
   overflow: hidden;
}

.card img {
   width: 100%;
   height: 100%;
   object-fit: cover;
   border-radius: 8px;
   transition: transform 0.4s ease;
}

.card:hover .card-image img {
   transform: scale(1.1);
}

.card-body {
   padding: 15px;
}

.card-body h3 {
   margin-bottom: 5px;
   transition: color 0.3s ease;
}

.card:hover .card-body h3 {
   color: #2ca6a4;
} 

.card-meta {
  display: flex;
  gap: 10px;
  font-size: 14px;
  margin-bottom: 10px;
}

.rating {
   display: flex;
  color: #f4b400;
  margin-top: 10px;
  font-size: 1.1rem;
}

.description {
   color: #555;
   margin-bottom: 15px ;
}

.card-footer {
   display: flex;
   justify-content: space-between;
}

.price {
   font-weight: bold;
   margin-top: 10px;
}

.btn-card {
   background: #248c8a;
   color: white;
   padding: 10px 20px;
   border-radius: 999px;
   cursor: pointer;
}

#testimonials {
   background: #f5f5f5;
   padding: 40px 0;
}

.testimonials h2 {
   display: flex;
   justify-content: center;
   margin-top: 38px;
}

.quote {
   display: flex;
   justify-content: center;
   font-size: 1.7rem;
   font-weight: bold;
   margin-bottom: 40px;
   line-height: 1.5;
}

.testimonial-user {
   text-align: center;
   margin-top: 36px;
}

.testimonial-user img {
   height: 182px;
   width: 183px;
   border-radius: 50%;
}

.testimonial-user h4, span {
   margin-top: 30px;
}

.name {
   font-size: 1.4rem;
}

.country {
   font-size: 1.2rem;
}


.brands {
   display: flex;
   justify-content: space-around;
   margin-top: 77px ;
}

.brands img {
   height: 30px;
}

#cta {
   background: #2ca6a4;
   padding: 80px 0;
   text-align: center;
   color: white;
}

.cta-content p {
   max-width: 600px;
   margin: 0 auto 30px;
   opacity: 0.9;
   margin-top: 15px;
}

.cta-buttons {
   display: flex;
   justify-content: center;
   gap: 15px;
}

#cta .btn-primary {
   background: white;
   color: #2ca6a4;
}

#cta .btn-primary:hover {
  background: #f5f5f5;
}

#cta .btn-secondary {
   border: 2px solid white;
}

#cta .btn-secondary:hover {
   background: white;
   color: #2ca6a4;
}

#works {
   background: #fff;
   padding: 40px 0;
}

#footer {
   background: #1f2a2e;
   color: #ddd;
   padding: 50px 0;
}

.footer-content {
   display: grid;
   grid-template-columns: repeat(4, 1fr);
   gap: 40px;
   width: 90%;
   max-width: 1200px;
   margin: 0 auto;
}

.footer-col {
   margin-top: 30px;
}

.footer-col h4 {
  margin-bottom: 15px;
  color: white;
}

.footer-col p {
  font-size: 14px;
  line-height: 1.6;
}

.footer-col ul {
  list-style: none;
}

.footer-col ul li {
  margin-bottom: 10px;
}

.footer-col a {
   color: #bbb;
   text-decoration: none;
}

.footer-bottom {
   display: flex;
   justify-content: space-between;
   align-items: center;
   width: 90%;
   max-width: 1200px;
   margin: 30px auto 0;
   padding-top: 20px;
   border-top: 1px solid white;
}

.footer-bottom p {
   margin-top: 20px;
}

.socials {
   display: flex;
   gap: 30px;
  
}

.socials i {
   font-size: 30px;
   color: white;
}



